Support » Installing WordPress » Upgraded out of Business

  • My host (a friend of mine) upgraded his server yesterday. Now, I am getting

    [Unknown column ‘Array’ in ‘where clause’]
    SELECT cat_ID FROM wp_categories WHERE category_parent = Array ORDER BY cat_name

    in some wordpress windows when it should have been displaying categories. The host told me that the error log had

    First argumented is expected to be a valid callback”, And “call_user_func_array()

    in the error logs. He said he thought it was a PHP upgrade issue. I can’t be the first to see this! What happend and how do we fix it?

    Note that this didn’t happen right away. The blog seemed to continue running fine for a while. I log in today and it’s fried.

    Any thoughts?

Viewing 1 replies (of 1 total)
  • “The blog seemed to continue running fine for a while”

    That seems unlikely, unless he upgraded PHP between your testing/checking…

    If you were running an older WP install, it might be possible to see something like this… or if there was an upgrade of WP, but maybe not a plugin… or something like that. Categories did change storage/organization at one point, and functions started returning an array — so an outdated plugin might give an error like that.

    -d

Viewing 1 replies (of 1 total)
  • The topic ‘Upgraded out of Business’ is closed to new replies.